Subject: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Apr 2022 15:44:52 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 03 Apr 2022 14:21:55 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I didn't do the above, I just stepped through eww-display-html in
> > Edebug, and looked at my watch (30 sec is easy to measure without any
> > instruments).
> 
> Well, that doesn't say whether it's libxml2 or something else...

Of course it does: I stepped through the code one sexp at a time, and
measured only the time it took to execute libxml-parse-html-region
(after seeing as it doesn't return quickly enough).

> libxml2/testing,now 2.9.13+dfsg-1 amd64 [installed,automatic]

It's 2.7.8 here.

> I guess it could also have something to do with how we're interfacing
> with the library -- perhaps we're creating strings (or something) in a
> sub-optimal way on some architectures and not others?

The OP is on x86_64-pc-linux-gnu.